Skip to main content
GET
/
tax
/
tax-form-revisions
List Tax Form Revisions
curl --request GET \
  --url https://api.paxos.com/v2/tax/tax-form-revisions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paxos.com/v2/tax/tax-form-revisions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paxos.com/v2/tax/tax-form-revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "tax_form_urls": [
    {
      "account_id": "<string>",
      "tax_year": "<string>",
      "revision": "<string>",
      "url": "<string>"
    }
  ]
}
OAuth Scope
tax:read_tax_form

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide โ†’

Query Parameters

account_id
string
required

Required. Account ID

tax_year
string
required

Required. Tax Year

form_types
enum<string>[]

Optional. Tax form types (1099-B, 1099-MISC, 1099-DA). If not provided, defaults to 1099-B for tax years prior to 2025, and 1099-DA from 2025 onwards.

Available options:
FORM_1099_B,
FORM_1099_MISC,
FORM_1099_DA
revision
string

Revision

Response

200 - application/json

A successful response.

tax_form_urls
List of tax form urls ยท object[]